Skip to content

Gateway QOS (Template) ​

13 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getTemplateBandwidthCtrlGridGETGet siteTemplate's bandwidth control rule list
createTemplateBwCtrlPOSTCreate siteTemplate's new bandwidth control rule
deleteTemplateBwCtrlDELETEDelete an existing bandwidth control rule in siteTemplate
modifyTemplateBwCtrlPUTModify an existing bandwidth control rule in siteTemplate
getTemplateClassRuleGridGETGet siteTemplate's class rule list
createTemplateClassRulePOSTCreate siteTemplate's new class rule
deleteTemplateClassRuleDELETEDelete an existing class rule in siteTemplate
modifyTemplateClassRulePUTModify an existing class rule in siteTemplate
getTemplateTagOutGETGet siteTemplate's Tag Outbound Traffic info
modifyTemplateTagOutPUTModify siteTemplate's Tag Outbound Traffic info
getTemplateVoipGETGet siteTemplate's VoIP Prioritization info
modifyTemplateVoipPUTModify siteTemplate's VoIP Prioritization info
getTemplateQosWansGETGet siteTemplate's WAN ports info for Gateway QoS

getTemplateBandwidthCtrlGrid ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/bwcs

Get siteTemplate's bandwidth control rule list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getTemplateBandwidthCtrlGrid",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get siteTemplate's bandwidth control rule list.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1004 - Invalid request type.

createTemplateBwCtrl ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/bwcs

Create siteTemplate's new bandwidth control rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema QosBwcOpenApiVO

FieldTypeRequiredDescription
wanstringyesThe ID of WAN port to which this Bandwidth Control applies. Each WAN port can only be configured with one rule. WAN ID can be obtained from 'Get WAN ports info for Gateway QoS' interface.
statusbooleanyesThe status of Bandwidth Control rule, valid values are true or false.
udpBandwidthCtrlbooleanyesThe UDP Bandwidth Control of Bandwidth Control rule, valid values are true or false.
udpRatiointegernoThe Limited Bandwidth Ratio of Bandwidth Control rule. It should be within the range of 0-100 when parameter [udpBandwidthCtrl] is true.
outPrioritizationbooleanyesThe Outbound TCP ACK Prioritize of Bandwidth Control rule, valid values are true or false.
directionintegeryesThe direction value selected in the Direction configuration should be a value as follows: 0: Inbound; 1: Outbound; 2: Both.
inBandwidthintegeryesThe Inbound Bandwidth of Bandwidth Control rule should be within the range of 100-1000000.
outBandwidthintegeryesThe Outbound Bandwidth of Bandwidth Control rule should be within the range of 100-1000000.
classRatioarray<integer>yesThe ratio of class type, value's format is [class1 ratio, class2 ratio, class3 ratio, others ratio], and the total sum should be 100.
json
// omada_call_operation
{
  "operationId": "createTemplateBwCtrl",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create siteTemplate's new bandwidth control rule.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34265 - The adopted or preconfigured gateway does not support QoS.
-43310 - The WAN Port is being used by other bandwidths.

deleteTemplateBwCtrl ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/bwcs/{id}

Delete an existing bandwidth control rule in siteTemplate

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
idpathstringyesBandwidth control rule ID
json
// omada_call_operation
{
  "operationId": "deleteTemplateBwCtrl",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete an existing bandwidth control rule in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyTemplateBwCtrl ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/bwcs/{id}

Modify an existing bandwidth control rule in siteTemplate

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
idpathstringyesBandwidth control rule ID

Request body — application/json (required) — schema QosBwcEditOpenApiVO

FieldTypeRequiredDescription
statusbooleanyesThe status of Bandwidth Control rule, valid values is true or false.
wanstringnoThe wan of Bandwidth Control rule.
udpBandwidthCtrlbooleanyesThe UDP Bandwidth Control of Bandwidth Control rule, valid values is true or false.
udpRatiointegernoThe Limited Bandwidth Ratio of Bandwidth Control rule. It should be within the range of 0-100 when parameter [udpBandwidthCtrl] is true.
outPrioritizationbooleanyesThe Outbound TCP ACK Prioritize of Bandwidth Control rule, valid values is true or false.
directionintegeryesThe direction value selected in the Direction configuration should be a value as follows: 0: Inbound; 1: Outbound; 2: Both.
inBandwidthintegeryesThe Inbound Bandwidth of Bandwidth Control rule should be within the range of 100-1000000.
outBandwidthintegeryesThe Outbound Bandwidth of Bandwidth Control rule should be within the range of 100-1000000.
classRatioarray<integer>yesThe ratio of class type, value's format is [class1 ratio, class2 ratio, class3 ratio, others ratio].
json
// omada_call_operation
{
  "operationId": "modifyTemplateBwCtrl",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing bandwidth control rule in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34265 - The adopted or preconfigured gateway does not support QoS.
-43304 - The bandwidth control entry does not exist.

getTemplateClassRuleGrid ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/class-rules

Get siteTemplate's class rule list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getTemplateClassRuleGrid",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get siteTemplate's class rule list.
The interface requires one of the permissions:
Global Site Template Manager View Only

createTemplateClassRule ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/class-rules

Create siteTemplate's new class rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema ClassRuleTemplateOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesThe status of class rule. valid values are true or false.
ipVersionintegeryesThe IP Version of class rule should be a value as follows: 0: IPv4; 1: IPv6.
localIpstringyesThe ID of IP Group or IPv6 Group selected in the Local Address configuration. The ID can be obtained from 'Get group profile template list' interface.
remoteIpstringyesThe ID of IP Group or IPv6 Group selected in the Remote Address configuration. The ID can be obtained from 'Get group profile template list' interface.
dscpstringyesThe DSCP value selected in the DSCP configuration should be a value as follows: any: any; 8: IP precedence 1; 16: IP precedence 2; 24: IP precedence 3; 32: IP precedence 4; 40: IP precedence 5; 48: IP precedence 6; 56: IP precedence 7; 10: AF Class 1 (Low Drop); 12: AF Class 1 (Medium Drop); 14: AF Class 1 (High Drop); 18: AF Class 2 (Low Drop); 20: AF Class 2 (Medium Drop); 22: AF Class 2 (High Drop); 26: AF Class 3 (Low Drop); 28: AF Class 3 (Medium Drop); 30: AF Class 3 (High Drop); 34: AF Class 4 (Low Drop); 36: AF Class 4 (Medium Drop); 38: AF Class 4 (High Drop); 46: EF Class.
serviceTypestringyesThe ID of Gateway Qos Service selected in the Service Name configuration. The ID can be obtained from 'Get all Gateway QoS Service's ID and name info in siteTemplate' interface.
classTypeintegeryesThe Class value selected in the Qos Class configuration should be a value as follows: 1: Class 1, 2: Class 2, 3: Class 3.
json
// omada_call_operation
{
  "operationId": "createTemplateClassRule",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create siteTemplate's new class rule.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34265 - The adopted or preconfigured gateway does not support QoS.
-43301 - The service type does not exist.
-43305 - The number of class rules has reached the limit.
-43307 - The IP group does not exist.
-43308 - The value of DSCP is invalid.

deleteTemplateClassRule ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/class-rules/{id}

Delete an existing class rule in siteTemplate

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
idpathstringyesClass rule ID
json
// omada_call_operation
{
  "operationId": "deleteTemplateClassRule",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Delete an existing class rule in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify

modifyTemplateClassRule ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/class-rules/{id}

Modify an existing class rule in siteTemplate

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
idpathstringyesClass rule ID

Request body — application/json (required) — schema ClassRuleTemplateOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesThe status of class rule. valid values are true or false.
ipVersionintegeryesThe IP Version of class rule should be a value as follows: 0: IPv4; 1: IPv6.
localIpstringyesThe ID of IP Group or IPv6 Group selected in the Local Address configuration. The ID can be obtained from 'Get group profile template list' interface.
remoteIpstringyesThe ID of IP Group or IPv6 Group selected in the Remote Address configuration. The ID can be obtained from 'Get group profile template list' interface.
dscpstringyesThe DSCP value selected in the DSCP configuration should be a value as follows: any: any; 8: IP precedence 1; 16: IP precedence 2; 24: IP precedence 3; 32: IP precedence 4; 40: IP precedence 5; 48: IP precedence 6; 56: IP precedence 7; 10: AF Class 1 (Low Drop); 12: AF Class 1 (Medium Drop); 14: AF Class 1 (High Drop); 18: AF Class 2 (Low Drop); 20: AF Class 2 (Medium Drop); 22: AF Class 2 (High Drop); 26: AF Class 3 (Low Drop); 28: AF Class 3 (Medium Drop); 30: AF Class 3 (High Drop); 34: AF Class 4 (Low Drop); 36: AF Class 4 (Medium Drop); 38: AF Class 4 (High Drop); 46: EF Class.
serviceTypestringyesThe ID of Gateway Qos Service selected in the Service Name configuration. The ID can be obtained from 'Get all Gateway QoS Service's ID and name info in siteTemplate' interface.
classTypeintegeryesThe Class value selected in the Qos Class configuration should be a value as follows: 1: Class 1, 2: Class 2, 3: Class 3.
json
// omada_call_operation
{
  "operationId": "modifyTemplateClassRule",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing class rule in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34265 - The adopted or preconfigured gateway does not support QoS.
-43301 - The service type does not exist.
-43306 - The class rule does not exist.
-43307 - The IP group does not exist.
-43308 - The value of DSCP is invalid.

getTemplateTagOut ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/tag-outbound-traffic

Get siteTemplate's Tag Outbound Traffic info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getTemplateTagOut",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get siteTemplate's Tag Outbound Traffic info.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyTemplateTagOut ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/tag-outbound-traffic

Modify siteTemplate's Tag Outbound Traffic info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema TagOutConfigOpenApiVO

FieldTypeRequiredDescription
tagConfigListarray<TagOutItemOpenApiVO>yesThe Tag Outbound configuration of class type, must contains class 1, class 2, class 3 and others.
json
// omada_call_operation
{
  "operationId": "modifyTemplateTagOut",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify siteTemplate's Tag Outbound Traffic info.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34265 - The adopted or preconfigured gateway does not support QoS.

getTemplateVoip ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/voip-prioritization

Get siteTemplate's VoIP Prioritization info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getTemplateVoip",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get siteTemplate's VoIP Prioritization info.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyTemplateVoip ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/voip-prioritization

Modify siteTemplate's VoIP Prioritization info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema VoipOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesThe status of First Priority for VoIP SIP/RTP, valid value is true or false.
sipUdpPortintegernoThe SIP UDP Port should be within the range of 0-65535 when parameter [enable] is true.
json
// omada_call_operation
{
  "operationId": "modifyTemplateVoip",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify siteTemplate's VoIP Prioritization info.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-34265 - The adopted or preconfigured gateway does not support QoS.

getTemplateQosWans ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/qos/gateway/wans

Get siteTemplate's WAN ports info for Gateway QoS

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getTemplateQosWans",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get siteTemplate's WAN ports info for Gateway QoS.
The interface requires one of the permissions:
Global Site Template Manager View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.